Subject: Re: bug#36745: 27.0.50; completing-read with require-match nil does not accept spaces

From: Michael Heerdegen <[email-masked]>
Date: Mon, 22 Jul 2019 01:24:02 +0200

Jean Louis <[email-masked]> writes:

> The only change would be that after after first non-matching word if
> space is used, the space is added even though completion did not
> match.

It could still be confusing if SPC sometimes works as
insert-a-space-char key and sometimes not.  You still couldn't rely on
it inserting a space, and your brain would still have to remember that
it could mean trouble.

Anyway, my opinion doesn't matter much.  I don't like the behavior of
space not just inserting a space - I get angry every time this happens.
I wonder what others do think about it.

Michael.